Bug 307791 - Review Request: twitux - a Twitter client for the Gnome desktop
Review Request: twitux - a Twitter client for the Gnome desktop
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 15:03 EDT by Konstantin Ryabitsev
Modified: 2008-02-07 16:00 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.60-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 16:00:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Patches spelling of "Connecting" (1.44 KB, patch)
2007-09-26 17:15 EDT, Michel Alexandre Salim
no flags Details | Diff

  None (edit)
Description Konstantin Ryabitsev 2007-09-26 15:03:51 EDT
Spec URL: http://icon.fedorapeople.org/f/twitux.spec
SRPM URL: http://icon.fedorapeople.org/f/twitux-0.50-1.fc7.src.rpm
Description:
Twitux is a Twitter client for the Gnome desktop.
Comment 1 Michel Alexandre Salim 2007-09-26 16:52:43 EDT
Do you really need the %post and %postun update-desktop-database?
Comment 2 Michel Alexandre Salim 2007-09-26 17:14:45 EDT
APPROVED, with following notes:
- Dependency on glib2-devel unnecessary (pulled in by libsexy-devel)
- Requires(post), Requires(postun), %post and %postun also unnecessary
- Connecting is misspelled in upstream code and translation, patch attached.  
  Please apply and forward to upstream.

MUST

• rpmlint: OK
• package name: OK
• spec file name: OK
• package guideline-compliant: OK
• license complies with guidelines: OK
• license field accurate: OK
• license file not deleted: OK
• spec in US English: OK
• spec legible: OK
• source matches upstream: OK
• builds under >= 1 archs, others excluded: OK
• build dependencies complete: OK*
• locales handled using %find_lang: OK
• no dupes in %files: OK
• permission: OK
• %clean RPM_BUILD_ROOT: OK
• macros used consistently: OK
• Package contains code: OK
• desktop file uses desktop-file-install: OK*
• clean buildroot before install: OK
• filenames UTF-8: OK

SHOULD
• package build in mock on all architectures
• package functioned as described: OK
• require package not files: OK
Comment 3 Michel Alexandre Salim 2007-09-26 17:15:36 EDT
Created attachment 207541 [details]
Patches spelling of "Connecting"
Comment 4 Brian Pepple 2007-09-27 09:58:42 EDT
Doesn't this package contain trademarked icons?(In reply to comment #2)
> APPROVED, with following notes:
> - Connecting is misspelled in upstream code and translation, patch attached.  
>   Please apply and forward to upstream.

Don't bother forwarding that patch to upstream, since we're doing a complete
rewrite for the next version.
Comment 5 Michel Alexandre Salim 2007-09-29 03:02:02 EDT
Ah, quite right -- the icon would need to be replaced
Comment 6 Michel Alexandre Salim 2007-11-03 14:30:06 EDT
Ping. Is the plan to wait for the new release before including it in Fedora?
Comment 7 Brian Pepple 2007-12-30 15:14:16 EST
Daniel just releases 0.60 earlier today, which should fix the trademarked icon
issues that was holding this up.
Comment 8 Michel Alexandre Salim 2008-01-13 13:16:56 EST
Konstantin, any chance of an updated package to review soon?
Comment 9 Konstantin Ryabitsev 2008-01-13 15:14:39 EST
Yeah, sorry it took so long. Quite a number of changes in this release, so the
spec has been modified heavily.

http://icon.fedorapeople.org/f/twitux.spec
http://icon.fedorapeople.org/f/twitux-0.60-1.fc8.src.rpm
Comment 10 Brian Pepple 2008-01-13 17:18:08 EST
(In reply to comment #9)
> Yeah, sorry it took so long. Quite a number of changes in this release, so the
> spec has been modified heavily.

Couple of quick items:
1. the post & postun update-desktop-database scriptlets are unnecessary, since
the desktopfile doesn't contain any Mimetype keys.
2. Missing BR for aspell-devel, iso-codes-devel, gnome-keyring-devel, &
dbus-devel, which will enable spell-checking support, basic NM support, and
gnome-keyring support.

Comment 11 Konstantin Ryabitsev 2008-01-13 18:06:04 EST
Many of these BRs were pulled in by others, but I did add iso-codes-devel (why?)
and aspell-devel, which enabled spellchecking. Do we need to specifically
require iso-codes, then?

http://fedorapeople.org/~icon/f/twitux.spec
http://fedorapeople.org/~icon/f/twitux-0.60-2.fc8.src.rpm
Comment 12 Michel Alexandre Salim 2008-01-13 18:23:44 EST
You do need iso-codes-devel, otherwise configure reports:

checking whether iso-codes exists and has iso-639 domain... no
Comment 13 Konstantin Ryabitsev 2008-01-21 20:35:33 EST
New Package CVS Request
=======================
Package Name: twitux
Short Description: a Twitter client for the Gnome desktop
Owners: icon
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2008-01-21 23:42:08 EST
cvs done.
Comment 15 Fedora Update System 2008-01-24 16:53:40 EST
twitux-0.60-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update twitux'
Comment 16 Michel Alexandre Salim 2008-01-26 13:43:59 EST
Please remember to close the bug once package has been built
Comment 17 Michel Alexandre Salim 2008-01-26 13:49:54 EST
Reopening: minor bug, the configuration file twitux.schemas needs to be marked
%config(noreplace) in the %files listing.
Comment 18 Brian Pepple 2008-01-26 14:16:06 EST
(In reply to comment #17)
> Reopening: minor bug, the configuration file twitux.schemas needs to be marked
> %config(noreplace) in the %files listing.

No, the schemas should not be marked noreplace, since they sometimes do need to
be replaced.

Comment 19 Konstantin Ryabitsev 2008-01-26 14:41:54 EST
Nope, won't fix. Gconf files are not %config.

See discussions in fedora-devel, e.g.
https://www.redhat.com/archives/fedora-devel-list/2008-January/msg02033.html
Comment 20 Michel Alexandre Salim 2008-01-26 17:22:10 EST
Ah, OK. Seems like this won't change anytime soon, and we ought to make an
exception for this in rpmlint.
Comment 21 Jakub 'Livio' Rusinek 2008-01-31 13:14:29 EST
@Michel: no exceptions, please. Better do something to fix it upstream (move
schemas away from /etc to /usr/share/gconf/schemas like it's done in kde).
Comment 22 Fedora Update System 2008-02-07 16:00:25 EST
twitux-0.60-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.